=begin
#AI Mastering API

#This is a AI Mastering API document. You can use the mastering feature of [AI Mastering](https://aimastering.com) through this API.

OpenAPI spec version: 1.0.0
Contact: info@bakuage.com
Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: 2.3.1

=end

require 'spec_helper'
require 'json'

# Unit tests for Aimastering::MasteringApi
# Automatically generated by swagger-codegen (github.com/swagger-api/swagger-codegen)
# Please update as you see appropriate
describe 'MasteringApi' do
  before do
    # run before each test
    @instance = Aimastering::MasteringApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of MasteringApi' do
    it 'should create an instance of MasteringApi' do
      expect(@instance).to be_instance_of(Aimastering::MasteringApi)
    end
  end

  # unit tests for cancel_mastering
  # Cancel a mastering by id.
  # 
  # @param id Mastering id
  # @param [Hash] opts the optional parameters
  # @return [Mastering]
  describe 'cancel_mastering test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for create_mastering
  # Create a new mastering.
  # 
  # @param input_audio_id Input audio id
  # @param [Hash] opts the optional parameters
  # @option opts [String] :mode Mode
  # @option opts [BOOLEAN] :bass_preservation This parameter represents if the bass preservation is enabled.
  # @option opts [BOOLEAN] :mastering This parameter represents if the mastering is enabled. This parameter is effective only when the mode is \&quot;default\&quot; or \&quot;custom\&quot;.
  # @option opts [String] :mastering_algorithm 
  # @option opts [BOOLEAN] :noise_reduction This parameter represents if the nosie reduction is enabled. This parameter is effective only when the mode is \&quot;custom\&quot;.
  # @option opts [String] :preset This parameter is effective only when the mode is \&quot;custom\&quot;.
  # @option opts [Float] :target_loudness This parameter represents the target loudness of the output audio in dB. This parameter is effective only when the mode is \&quot;custom\&quot;.
  # @option opts [String] :target_loudness_mode 
  # @option opts [Float] :mastering_matching_level This parameter represents the mastering reference matching level. This parameter is effective only when the mode is \&quot;custom\&quot; and the mastering is enabled.
  # @option opts [BOOLEAN] :mastering_reverb This parameter represents if the mastering reverb is enabled. This parameter is effective only when the mode is \&quot;custom\&quot; and the mastering is enabled.
  # @option opts [Float] :mastering_reverb_gain This parameter represents the mastering reverb gain relative to the dry sound in dB. This parameter is effective only when the mode is \&quot;custom\&quot; and the mastering is \&quot;true\&quot; and the mastering_reverb is \&quot;true\&quot;.
  # @option opts [Integer] :reference_audio_id Reference audio id. This parameter is effective only when the mode is \&quot;custom\&quot; and the mastering is enabled.
  # @option opts [Float] :low_cut_freq This parameter represents the low cut freq  of the output audio in Hz. This parameter is effective only when the mode is \&quot;custom\&quot;.
  # @option opts [Float] :high_cut_freq This parameter represents the high cut freq of the output audio in Hz. This parameter is effective only when the mode is \&quot;custom\&quot;.
  # @option opts [Float] :ceiling 
  # @option opts [String] :ceiling_mode 
  # @option opts [Integer] :oversample 
  # @option opts [Integer] :sample_rate This parameter represents the sample rate of the output audio in dB. This parameter is effective only when the mode is \&quot;custom\&quot;.
  # @option opts [Integer] :bit_depth This parameter represents the bit depth of the output audio in dB. This parameter is effective only when the mode is \&quot;custom\&quot;.
  # @option opts [String] :output_format This parameter represents the format of the output audio. This parameter is effective only when the mode is \&quot;custom\&quot;.
  # @option opts [BOOLEAN] :for_preview If this is true, the mastering is treated for preview purpose (ex. not purchasable, not publishable, short lifetime). 
  # @option opts [Float] :start_at Partial mastering start at. 
  # @option opts [Float] :end_at Partial mastering end at. 
  # @option opts [String] :video_title This parameter represents the title of output video.
  # @return [Mastering]
  describe 'create_mastering test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for delete_mastering
  # Delete mastering.
  # 
  # @param id Mastering id
  # @param [Hash] opts the optional parameters
  # @return [Mastering]
  describe 'delete_mastering test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for free_unlock_mastering
  # Free unlock a mastering by id.
  # 
  # @param id Mastering id
  # @param [Hash] opts the optional parameters
  # @return [Mastering]
  describe 'free_unlock_mastering test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_mastering
  # Get a mastering by id.
  # 
  # @param id Mastering id
  # @param [Hash] opts the optional parameters
  # @return [Mastering]
  describe 'get_mastering test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_mastering_unlock_product
  # Review a mastering by id.
  # 
  # @param id Mastering id
  # @param [Hash] opts the optional parameters
  # @return [Mastering]
  describe 'get_mastering_unlock_product test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_masterings
  # Get all accessable masterings.
  # 
  # @param [Hash] opts the optional parameters
  # @return [Array<Mastering>]
  describe 'list_masterings test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for publish_mastering
  # Publish a mastering by id.
  # 
  # @param id Mastering id
  # @param access_token This parameter represents if the access token of the publishment service API.
  # @param message This parameter represents the publishment message.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :service This parameter represents the publishment service.
  # @option opts [String] :access_token_secret This parameter represents the access token secret of the publishment service API. This parameter is effective only when the service is \&quot;twitter\&quot;.
  # @return [Mastering]
  describe 'publish_mastering test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for review_mastering
  # Review a mastering by id.
  # 
  # @param id Mastering id
  # @param [Hash] opts the optional parameters
  # @option opts [String] :review_comment This parameter represents the review comment.
  # @option opts [Float] :review_score This parameter represents the review score.
  # @return [Mastering]
  describe 'review_mastering test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for update_mastering
  # Update a mastering.
  # 
  # @param id Mastering id
  # @param [Hash] opts the optional parameters
  # @option opts [BOOLEAN] :preserved Disable auto delete.
  # @return [Mastering]
  describe 'update_mastering test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
